Bug 479981 - Intel Nehalem does not boot with RT kernel
Intel Nehalem does not boot with RT kernel
Status: CLOSED NOTABUG
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
beta
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Masters
David Sommerseth
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-14 08:00 EST by Nick Strugnell
Modified: 2016-05-22 19:27 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-01 08:42:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of boot panic (2.04 MB, image/jpeg)
2009-01-14 08:03 EST, Nick Strugnell
no flags Details
sosreport of affected system (595.84 KB, application/octet-stream)
2009-01-14 08:05 EST, Nick Strugnell
no flags Details
Updated sosreport (604.01 KB, application/x-bzip2)
2009-01-14 12:15 EST, Nick Strugnell
no flags Details

  None (edit)
Description Nick Strugnell 2009-01-14 08:00:17 EST
Description of problem:
We are looking at the RT kernel on an Intel Nehalem whitebox and running into problems. The box boots fine with RHEL5.3RC2 (2.6.18-128.el5) but fails to boot with the MRG1.1 kernel (2.6.24.7-95.el5rt)

Version-Release number of selected component (if applicable):
2.6.24.7-95.el5rt

How reproducible:
always

Steps to Reproduce:
1.Install RHEL5.3RC2 and MRG 1.1 kernel
2.
3.
  
Actual results:
Booting into the RHEL5.3RC2 kernel works fine. Working either into the rt kernel, or the rtvanilla kernel results in disabled interrupts and the OS does not boot (cannot find root volume). Please see attached screenshots.

Expected results:


Additional info:
Under the RT kernel, IRQ 16 is disabled. Under the RTvanilla kernel, IRQ 11 is disabled. Both result in not booting. The suggested use of irqpoll and ioapic_level_quirk=1 do not make any difference.
Comment 1 Nick Strugnell 2009-01-14 08:03:19 EST
Created attachment 328984 [details]
Screenshot of boot panic
Comment 2 Nick Strugnell 2009-01-14 08:05:48 EST
Created attachment 328985 [details]
sosreport of affected system
Comment 3 Nick Strugnell 2009-01-14 12:15:56 EST
Created attachment 329027 [details]
Updated sosreport

In this sosreport, the latest boot is into the RHEL5.3 kernel with no kernel options specified (other than crashkernel). Previous boots specified 'noht notsc noapic nolapic' which are in our standard build.

Nick
Comment 4 Jon Masters 2009-05-12 10:35:04 EDT
Have you tried booting the kernel with ioapic_level_quirk=1 on the command line?

Note You need to log in before you can comment on or make changes to this bug.